igeo.gui

## Class IParameterViewer

- java.lang.Object
- - java.awt.Component
  - - igeo.gui.IParameterViewer

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

      public class IParameterViewer
      extends java.awt.Component

  Viewer window to show parameters and relationship of parameters. Implementation is not completed at all yet.
  Author:
    Satoru Sugihara
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IParameterViewer.IParameterGraphic`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.awt.Color` | `bgcolor`
    `static boolean` | `bottomUp` top down flow or bottom up flow
    `IDoubleBuffer` | `db`
    `java.util.ArrayList<IParameter>` | `parameters`
    `static int` | `paramXSpacing`
    `static int` | `paramYSpacing`
    `java.util.ArrayList<IParameterViewer.IParameterGraphic>` | `pgraphics`

    - ### Fields inherited from class java.awt.Component

      `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IParameterViewer(int x, int y, int width, int height)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IParameterViewer.IParameterGraphic` | `addParameter(IParameter param, int x, int y)`
    `static IParameterViewer.IParameterGraphic` | `findParameterGraphic(IParameter param, java.util.ArrayList<IParameterViewer.IParameterGraphic> parameters)`
    `void` | `paint(java.awt.Graphics g)`
    `void` | `setSize(java.awt.Dimension d)`
    `void` | `setSize(int w, int h)`
    `void` | `update(java.awt.Graphics g)`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getAlignmentX, getAlignmentY, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setFont, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### bottomUp

          public static boolean bottomUp

      top down flow or bottom up flow

    - #### bgcolor

          public static java.awt.Color bgcolor

    - #### paramXSpacing

          public static int paramXSpacing

    - #### paramYSpacing

          public static int paramYSpacing

    - #### parameters

          public java.util.ArrayList<IParameter> parameters

    - #### pgraphics

          public java.util.ArrayList<IParameterViewer.IParameterGraphic> pgraphics

    - #### db

          public IDoubleBuffer db

  - ### Constructor Detail

    - #### IParameterViewer

          public IParameterViewer(int x,
                                  int y,
                                  int width,
                                  int height)

  - ### Method Detail

    - #### addParameter

          public IParameterViewer.IParameterGraphic addParameter(IParameter param,
                                                                 int x,
                                                                 int y)

    - #### paint

          public void paint(java.awt.Graphics g)

      Overrides:
        `paint` in class `java.awt.Component`

    - #### update

          public void update(java.awt.Graphics g)

      Overrides:
        `update` in class `java.awt.Component`

    - #### setSize

          public void setSize(java.awt.Dimension d)

      Overrides:
        `setSize` in class `java.awt.Component`

    - #### setSize

          public void setSize(int w,
                              int h)

      Overrides:
        `setSize` in class `java.awt.Component`

    - #### findParameterGraphic

          public static IParameterViewer.IParameterGraphic findParameterGraphic(IParameter param,
                                                                                java.util.ArrayList<IParameterViewer.IParameterGraphic> parameters)